Bug 260534 - hatch background does not support all features in odf
Summary: hatch background does not support all features in odf
Status: VERIFIED FIXED
Alias: None
Product: calligracommon
Classification: Unclassified
Component: flake (show other bugs)
Version: 2.4.0
Platform: Unlisted Binaries All
: NOR normal (vote)
Target Milestone: ---
Assignee: Calligra Bugs
URL:
Keywords: reproducible
Depends on:
Blocks:
 
Reported: 2010-06-11 11:07 UTC by Lassi Nieminen
Modified: 2012-10-23 08:04 UTC (History)
3 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments
Open Office document to be open in Kpresenter (19.38 KB, application/x-zip-compressed)
2010-06-11 11:07 UTC, David Faure
Details
Screenshot of the document in Open Office Presenter (696.32 KB, image/pjpeg)
2010-06-11 11:09 UTC, David Faure
Details
Screenshot of the document in Kpresenter (632.93 KB, image/pjpeg)
2010-06-11 11:10 UTC, David Faure
Details

Note You need to log in before you can comment on or make changes to this bug.
Description David Faure 2010-12-17 19:41:15 UTC


---- Reported by faure@kde.org 2010-07-12 17:58:54 ----




---- Reported by lassi.ta.nieminen@nokia.com 2010-06-11 12:07:56 +0300 ----

Created an attachment
Open Office document to be open in Kpresenter

SOFTWARE VERSION:
  Kubuntu 9.10
  Koffice (svn version 1135442)
  Test document (OpenOffice): oop_page_background_hatching.odp

STEPS LEADING TO THE PROBLEM:
  1. Open the attached document in OpenOffice.
  2. Open the same document in KOffice.
  3. Observe the background in the first slide.

EXPECTED OUTCOME:
   Kpresenter should be able to display the  background in the slide properly.

ACTUAL OUTCOME:
   Kpresenter is not displaying background properly.

FREQUENCY:
  Always



---- Additional Comments From lassi.ta.nieminen@nokia.com 2010-06-11 12:09:26 +0300 ----

Created an attachment
Screenshot of the document in Open Office Presenter



---- Additional Comments From lassi.ta.nieminen@nokia.com 2010-06-11 12:10:31 +0300 ----

Created an attachment
Screenshot of the document in Kpresenter



--- Bug imported by faure@kde.org 2010-07-12 17:58  ---

This bug was previously known as _bug_ 173992.

Imported an attachment (id=48982)
Imported an attachment (id=48983)
Imported an attachment (id=48984)




--- Bug imported by faure@kde.org 2010-12-17 19:43  ---

This bug was previously known as bug 244378.

Imported an attachment (id=54987)
Imported an attachment (id=54988)
Imported an attachment (id=54989)

The original submitter of attachment 54987 [details] is unknown.
   Reassigning to the person who moved it here: faure@kde.org.
The original submitter of attachment 54988 [details] is unknown.
   Reassigning to the person who moved it here: faure@kde.org.
The original submitter of attachment 54989 [details] is unknown.
   Reassigning to the person who moved it here: faure@kde.org.

Comment 1 Halla Rempt 2012-04-16 13:54:04 UTC
Stage bug. I'm not sure about not correct -- the pattern looks different in Stage, that's true. But then, the thumbnail is different again.
Comment 2 T Zachmann 2012-04-18 06:37:36 UTC
The background is a draw:hatch which is handled by the KoColorBackground in flake so moving back to flake.
Currently the draw:distance is not implemented which leaves to different levels of color in OO/LO compared to Calligra. The distance might be simulated by using a scale value of the painter as done in the pattern background.
Comment 3 T Zachmann 2012-09-01 14:39:34 UTC
Git commit 0f67c281e51a30693d5994fa2db6f890a421d6bc by Thorsten Zachmann.
Committed on 01/09/2012 at 16:14.
Pushed by zachmann into branch 'master'.

Implement hatch background as defined in odf.

With this patch the different styles, freely defined angles and distance between
the lines of the hatch is supported.

This patch also changes the KoColorBackground to also use the d pointer of the
parent which reduces the memory needed for a KoColorBackground.

REVIEW: 106115
Related: bug 298708

M  +1    -0    libs/flake/CMakeLists.txt
M  +14   -13   libs/flake/KoColorBackground.cpp
M  +5    -2    libs/flake/KoColorBackground.h
A  +40   -0    libs/flake/KoColorBackground_p.h     [License: LGPL (v2+)]
A  +233  -0    libs/flake/KoHatchBackground.cpp     [License: LGPL (v2+)]
C  +26   -30   libs/flake/KoHatchBackground.h [from: libs/flake/KoColorBackground.h - 051% similarity]
M  +7    -2    libs/flake/KoShape.cpp

http://commits.kde.org/calligra/0f67c281e51a30693d5994fa2db6f890a421d6bc
Comment 4 swathi 2012-10-23 08:04:23 UTC
Verified in git commit ad0416095c417a8cfa55306ea8959ac0ef4460bb.